Package org.eclipse.rdf4j.repository.config

## Class ConfigTemplate

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.ConfigTemplate

-     public class ConfigTemplate
      extends Object

  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigTemplate​(String template)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static String` | `escapeMultilineQuotes​(String quoteVariant, String value)` | Escape Turtle multiline literal quote characters in the given value.
    `Map<String,​String>` | `getMultilineMap()` |
    `String` | `getTemplate()` |
    `Map<String,​List<String>>` | `getVariableMap()` |
    `String` | `render​(Map<String,​String> valueMap)` |
    `void` | `setTemplate​(String template)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigTemplate

          public ConfigTemplate​(String template)

  - ### Method Detail

    - #### getTemplate

          public String getTemplate()

    - #### setTemplate

          public final void setTemplate​(String template)

    - #### getVariableMap

          public Map<String,​List<String>> getVariableMap()

    - #### render

          public String render​(Map<String,​String> valueMap)

    - #### escapeMultilineQuotes

          protected static String escapeMultilineQuotes​(String quoteVariant,
                                                        String value)

      Escape Turtle multiline literal quote characters in the given value.
      Parameters:
        `quoteVariant` - either ''' or """
        `value` - the value to escape properly
      Returns:
        the value with any needed multiline quote sequences escaped

    - #### getMultilineMap

          public Map<String,​String> getMultilineMap()